
#include "w_inc.h"

WPOC_DEF wpoc={0};
WPOC_APP_DEF wpoc_app={0};

int wpoc_param_set(WPOC_PARAM_ENUM type, void *param){
	unsigned int *tmp_uint;
	unsigned short *tmp_ushort;
	char *tmp_char;
	if(param==NULL) return -1;
	switch(type){
		case WPOC_MSG_RX_FUN:
			if(wpoc_app.usrMsgRx!=NULL) break;
			if(param==NULL) break;
			wpoc_app.usrMsgRx=(WPOC_MSG_RX_DEF *)param;
			break;
		case WPOC_PARAM_ACCOUNT_PSN:
			tmp_uint=(unsigned int *)param;
			wpoc.psn=*tmp_uint;
			break;
		case WPOC_PARAM_ACCOUNT_PASS:
			tmp_char=(char *)param;
			snprintf(wpoc.pass,sizeof(wpoc.pass), "%s", tmp_char);
			break;
		case WPOC_PARAM_DNS:
			tmp_char=(char *)param;
			snprintf(wpoc.dns,sizeof(wpoc.dns), "%s", tmp_char);
			break;
		case WPOC_PARAM_PLATFORM:
			tmp_char=(char *)param;
			snprintf(wpoc.platform,sizeof(wpoc.platform), "%s", tmp_char);
			break;
		case WPOC_PARAM_GROUPNUMS:
			tmp_uint=(unsigned int *)param;
			wpoc.maxGroupNum=*tmp_uint;
			break;
		case WPOC_PARAM_USERNUMS:
			tmp_uint=(unsigned int *)param;
			wpoc.maxUserNum=*tmp_uint;
			break;
		default:return -2;
	}
	return 0;
}