
#ifndef __W_PARAM_H_
#define __W_PARAM_H_

#include "w_inc.h"
#pragma pack(push)
#pragma pack(1)
typedef struct{
	unsigned int psn;
	char pass[20];
	char dns[30];
	char platform[16];
	char hardid[20];
	unsigned int maxGroupNum;
	unsigned int maxUserNum;
}WPOC_DEF;
typedef struct{
	unsigned int id;
	unsigned int mem_num;
	char name[GROUP_USER_NAME_MAX];
}GROUP_INFO_DEF;
typedef struct{
	unsigned int usrSetMaxGroupNum;
	unsigned int maxGroupNum;
	unsigned int validGroupNum;
	GROUP_INFO_DEF **groupInfo;
}GROUP_INFO_LIST;
typedef struct{
	unsigned char poc_tcp:1;	//tcp link status
	unsigned char poc_login:1;	//tcp login status
	unsigned char poc_firstLogin:1;
	unsigned char poc_ping_with_time:1;
	unsigned char poc_login_status:1;
	unsigned char poc_login_counter;
	unsigned char poc_login_timeout_counter;
	unsigned char poc_heartick;
	unsigned short poc_voice_port;
	char tcp_ip[20];
	WPOC_MSG_RX_DEF *usrMsgRx;
	GROUP_INFO_LIST groupList;
}WPOC_APP_DEF;
#pragma pack(pop)

extern WPOC_DEF wpoc;
extern WPOC_APP_DEF wpoc_app;
#endif
